import request from "@/api/request.js";

// 今日要闻
export function getTodayNews() {
    return request({
        method: 'GET',
        url: `/api/news/latestNews`,
    })
}

// 今日要闻-带参
/**
 * @param {industryId} 
 */
export function getTodayNewByArea(params) {
    return request({
        method: 'GET',
        url: `/api/news/latestNews`,
        params
    })
}

// 中美博弈专题
export function getHotNews() {
    return request({
        method: 'GET',
        url: `/api/news/hotNews`,
    })
}

// 中美博弈专题-带参
/**
 * @param {industryId} 
 */
export function getHotNewsByArea(params) {
    return request({
        method: 'GET',
        url: `/api/news/hotAreaNews/${params.moduleId}`,
        params
    })
}

// 获取模块类别
export function getMoudleType() {
    return request({
        method: 'GET',
        url: `/api/commonDict/moduleType`,
    })
}

// 获取领域列表
export function getAreaList() {
    return request({
        method: 'GET',
        url: `/api/commonDict/areaType`,
    })
}
export function getNewsDetail(params) {
    return request({
        method: 'GET',
        url: `/api/news/findById/${params.newsId}`,
        params
    })
}
